EventSignUpScanner
Get a list of the next event signups of a person
GET/api/event/scanner/base_event_signup/next/{personIdentifier}
Path parameters
personIdentifierrequiredstring |
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Get a list of the next event signups of a personarray<BaseEventSignUp>
Show fields (42)
idintegerPrimary key of the sign-up. Internal ID.
first_namestringFirst name of the participant.
last_namestringLast name of the participant.
genderstringGender of the participant.
waitingbooleanThe sign-up is on the waiting list.
confirmedbooleanThe sign-up is confirmed.
deletion_reasonstringReason the sign-up was cancelled.
direct_billingbooleandirect_billing_check_datestring (date-time)direct_billing_tokenstringwait_list_confirmation_sent_atstring (date-time)wait_list_confirmation_deadlinestring (date-time)wait_list_confirmed_atstring (date-time)wait_list_pending_confirmationbooleanwait_list_sort_orderintegerbirthdaystring (date-time)Birthday of the participant.
known_allergiesstringKnown allergies of the participant.
confirmed_no_allergiesbooleanGuardian confirmed that there are no known allergies.
allow_photosbooleanGuardian allows photos of the participant.
allow_child_alonebooleanParticipant may leave alone after the event.
authorized_pickupstringPersons who are allowed to pick up the participant.
needs_supportbooleanParticipant needs support, for example for inclusion.
support_descriptionstringDescription of the support the participant needs.
financial_supportbooleanParticipant receives financial support.
financial_support_numberstringNumber of the financial support, for example a voucher.
municipal_supportbooleanParticipant receives municipal support.
municipal_support_numberstringNumber of the municipal support.
grade_levelintegerSchool grade level of the participant.
school_classstringSchool class of the participant.
self_check_inbooleanParticipant checked in with the self-service check-in.
self_check_outbooleanParticipant checked out with the self-service check-out.
self_check_in_datestring (date-time)Time of the self-service check-in.
self_check_out_datestring (date-time)Time of the self-service check-out.
reminded_of_absencestring (date-time)Time the guardian was reminded of an absence.
trialbooleanTrial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)
trial_channelstringWho booked the trial date: app, trainer, office
trial_session_numberintegerNumber of this trial date within the pass (1 = first), for "Schnuppern 2/3"
trial_session_maxintegerTrial dates of the pass, for "Schnuppern 2/3"
confirmed_datestring (date-time)Time the sign-up was confirmed.
bib_numberintegerStartnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.
bib_labelstringAngezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.
namestringName of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next/42'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);[
{
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"support_description": "Text",
"name": "Beispiel",
"gender": "string",
"waiting": true,
"confirmed": true,
"deletion_reason": "string",
"direct_billing": true
}
]Get a list of the next event signups of a person
GET/api/event/scanner/base_event_signup/next
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Get a list of the next event signups of a personarray<BaseEventSignUp>
Show fields (42)
idintegerPrimary key of the sign-up. Internal ID.
first_namestringFirst name of the participant.
last_namestringLast name of the participant.
genderstringGender of the participant.
waitingbooleanThe sign-up is on the waiting list.
confirmedbooleanThe sign-up is confirmed.
deletion_reasonstringReason the sign-up was cancelled.
direct_billingbooleandirect_billing_check_datestring (date-time)direct_billing_tokenstringwait_list_confirmation_sent_atstring (date-time)wait_list_confirmation_deadlinestring (date-time)wait_list_confirmed_atstring (date-time)wait_list_pending_confirmationbooleanwait_list_sort_orderintegerbirthdaystring (date-time)Birthday of the participant.
known_allergiesstringKnown allergies of the participant.
confirmed_no_allergiesbooleanGuardian confirmed that there are no known allergies.
allow_photosbooleanGuardian allows photos of the participant.
allow_child_alonebooleanParticipant may leave alone after the event.
authorized_pickupstringPersons who are allowed to pick up the participant.
needs_supportbooleanParticipant needs support, for example for inclusion.
support_descriptionstringDescription of the support the participant needs.
financial_supportbooleanParticipant receives financial support.
financial_support_numberstringNumber of the financial support, for example a voucher.
municipal_supportbooleanParticipant receives municipal support.
municipal_support_numberstringNumber of the municipal support.
grade_levelintegerSchool grade level of the participant.
school_classstringSchool class of the participant.
self_check_inbooleanParticipant checked in with the self-service check-in.
self_check_outbooleanParticipant checked out with the self-service check-out.
self_check_in_datestring (date-time)Time of the self-service check-in.
self_check_out_datestring (date-time)Time of the self-service check-out.
reminded_of_absencestring (date-time)Time the guardian was reminded of an absence.
trialbooleanTrial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)
trial_channelstringWho booked the trial date: app, trainer, office
trial_session_numberintegerNumber of this trial date within the pass (1 = first), for "Schnuppern 2/3"
trial_session_maxintegerTrial dates of the pass, for "Schnuppern 2/3"
confirmed_datestring (date-time)Time the sign-up was confirmed.
bib_numberintegerStartnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.
bib_labelstringAngezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.
namestringName of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'package:http/http.dart' as http;
final response = await http.get(
Uri.parse('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/next'),
headers: {'x-iw-jwt-token': '<TOKEN>'},
);
print(response.body);[
{
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"support_description": "Text",
"name": "Beispiel",
"gender": "string",
"waiting": true,
"confirmed": true,
"deletion_reason": "string",
"direct_billing": true
}
]Trigger actions for an event signup for a person
POST/api/event/scanner/base_event_signup/action/{personIdentifier}
Path parameters
personIdentifierrequiredstring |
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Request body application/json
dataSimpleChangeShow fields (5)
idmixedThe ID of the entity to change, can be a string or an integer
actionstringThe action to perform on the entity
propertystringThe property to change on the entity
new_valuemixedThe new value to set for the property
donebooleanIndicates if the change has been processed
Responses
200Trigger actions for an event signup for a personBaseEventSignUp
Show fields (42)
idintegerPrimary key of the sign-up. Internal ID.
first_namestringFirst name of the participant.
last_namestringLast name of the participant.
genderstringGender of the participant.
waitingbooleanThe sign-up is on the waiting list.
confirmedbooleanThe sign-up is confirmed.
deletion_reasonstringReason the sign-up was cancelled.
direct_billingbooleandirect_billing_check_datestring (date-time)direct_billing_tokenstringwait_list_confirmation_sent_atstring (date-time)wait_list_confirmation_deadlinestring (date-time)wait_list_confirmed_atstring (date-time)wait_list_pending_confirmationbooleanwait_list_sort_orderintegerbirthdaystring (date-time)Birthday of the participant.
known_allergiesstringKnown allergies of the participant.
confirmed_no_allergiesbooleanGuardian confirmed that there are no known allergies.
allow_photosbooleanGuardian allows photos of the participant.
allow_child_alonebooleanParticipant may leave alone after the event.
authorized_pickupstringPersons who are allowed to pick up the participant.
needs_supportbooleanParticipant needs support, for example for inclusion.
support_descriptionstringDescription of the support the participant needs.
financial_supportbooleanParticipant receives financial support.
financial_support_numberstringNumber of the financial support, for example a voucher.
municipal_supportbooleanParticipant receives municipal support.
municipal_support_numberstringNumber of the municipal support.
grade_levelintegerSchool grade level of the participant.
school_classstringSchool class of the participant.
self_check_inbooleanParticipant checked in with the self-service check-in.
self_check_outbooleanParticipant checked out with the self-service check-out.
self_check_in_datestring (date-time)Time of the self-service check-in.
self_check_out_datestring (date-time)Time of the self-service check-out.
reminded_of_absencestring (date-time)Time the guardian was reminded of an absence.
trialbooleanTrial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)
trial_channelstringWho booked the trial date: app, trainer, office
trial_session_numberintegerNumber of this trial date within the pass (1 = first), for "Schnuppern 2/3"
trial_session_maxintegerTrial dates of the pass, for "Schnuppern 2/3"
confirmed_datestring (date-time)Time the sign-up was confirmed.
bib_numberintegerStartnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.
bib_labelstringAngezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.
namestringName of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"action": "string",
"property": "string",
"new_value": null,
"done": true
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {id: 42, action: 'string', property: 'string', new_value: null, done: true}
})
};
fetch('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42"
payload = { "data": {
"id": 42,
"action": "string",
"property": "string",
"new_value": None,
"done": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42', [
'body' => '{"data":{"id":42,"action":"string","property":"string","new_value":null,"done":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"action\":\"string\",\"property\":\"string\",\"new_value\":null,\"done\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"action\":\"string\",\"property\":\"string\",\"new_value\":null,\"done\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42"
payload := strings.NewReader("{\"data\":{\"id\":42,\"action\":\"string\",\"property\":\"string\",\"new_value\":null,\"done\":true}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.post(
Uri.parse('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"action": "string",
"property": "string",
"new_value": null,
"done": true
}
}),
);
print(response.body);{
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"support_description": "Text",
"name": "Beispiel",
"gender": "string",
"waiting": true,
"confirmed": true,
"deletion_reason": "string",
"direct_billing": true
}Trigger actions for an event signup for a person
POST/api/event/scanner/base_event_signup/action
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Request body application/json
dataSimpleChangeShow fields (5)
idmixedThe ID of the entity to change, can be a string or an integer
actionstringThe action to perform on the entity
propertystringThe property to change on the entity
new_valuemixedThe new value to set for the property
donebooleanIndicates if the change has been processed
Responses
200Trigger actions for an event signup for a personBaseEventSignUp
Show fields (42)
idintegerPrimary key of the sign-up. Internal ID.
first_namestringFirst name of the participant.
last_namestringLast name of the participant.
genderstringGender of the participant.
waitingbooleanThe sign-up is on the waiting list.
confirmedbooleanThe sign-up is confirmed.
deletion_reasonstringReason the sign-up was cancelled.
direct_billingbooleandirect_billing_check_datestring (date-time)direct_billing_tokenstringwait_list_confirmation_sent_atstring (date-time)wait_list_confirmation_deadlinestring (date-time)wait_list_confirmed_atstring (date-time)wait_list_pending_confirmationbooleanwait_list_sort_orderintegerbirthdaystring (date-time)Birthday of the participant.
known_allergiesstringKnown allergies of the participant.
confirmed_no_allergiesbooleanGuardian confirmed that there are no known allergies.
allow_photosbooleanGuardian allows photos of the participant.
allow_child_alonebooleanParticipant may leave alone after the event.
authorized_pickupstringPersons who are allowed to pick up the participant.
needs_supportbooleanParticipant needs support, for example for inclusion.
support_descriptionstringDescription of the support the participant needs.
financial_supportbooleanParticipant receives financial support.
financial_support_numberstringNumber of the financial support, for example a voucher.
municipal_supportbooleanParticipant receives municipal support.
municipal_support_numberstringNumber of the municipal support.
grade_levelintegerSchool grade level of the participant.
school_classstringSchool class of the participant.
self_check_inbooleanParticipant checked in with the self-service check-in.
self_check_outbooleanParticipant checked out with the self-service check-out.
self_check_in_datestring (date-time)Time of the self-service check-in.
self_check_out_datestring (date-time)Time of the self-service check-out.
reminded_of_absencestring (date-time)Time the guardian was reminded of an absence.
trialbooleanTrial date sign-up (Schnuppern): a date sign-up without a course place that uses up one unit of the person's trial pass (eventAccessBudget with sourceType trial)
trial_channelstringWho booked the trial date: app, trainer, office
trial_session_numberintegerNumber of this trial date within the pass (1 = first), for "Schnuppern 2/3"
trial_session_maxintegerTrial dates of the pass, for "Schnuppern 2/3"
confirmed_datestring (date-time)Time the sign-up was confirmed.
bib_numberintegerStartnummer (Zaehler). Bei PER_PREFIX nur zusammen mit dem Praefix eindeutig. Wird nur ueber BibNumberAssigner gesetzt, stornierte Anmeldungen behalten sie.
bib_labelstringAngezeigte Startnummer inkl. Praefix, z. B. W0123. Pro Event eindeutig.
namestringName of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"id": 42,
"action": "string",
"property": "string",
"new_value": null,
"done": true
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({
data: {id: 42, action: 'string', property: 'string', new_value: null, done: true}
})
};
fetch('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action"
payload = { "data": {
"id": 42,
"action": "string",
"property": "string",
"new_value": None,
"done": True
} }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action', [
'body' => '{"data":{"id":42,"action":"string","property":"string","new_value":null,"done":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"id\":42,\"action\":\"string\",\"property\":\"string\",\"new_value\":null,\"done\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"id\":42,\"action\":\"string\",\"property\":\"string\",\"new_value\":null,\"done\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action"
payload := strings.NewReader("{\"data\":{\"id\":42,\"action\":\"string\",\"property\":\"string\",\"new_value\":null,\"done\":true}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.post(
Uri.parse('https://your-instance.iw-erp.de/api/event/scanner/base_event_signup/action'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"id": 42,
"action": "string",
"property": "string",
"new_value": null,
"done": true
}
}),
);
print(response.body);{
"id": 42,
"first_name": "Lena",
"last_name": "Hartmann",
"support_description": "Text",
"name": "Beispiel",
"gender": "string",
"waiting": true,
"confirmed": true,
"deletion_reason": "string",
"direct_billing": true
}